Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.consumer.query
Class DateTimeRange

    java.lang.Object
      org.eclipse.ohf.ihe.xds.consumer.query.DateTimeRange

    public class DateTimeRange

extends java.lang.Object

Object used to represent a date/time range in a query Used to support the IHE XDS Consumer actor in Transaction ITI-16: Query Registry

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework

Constructor Summary
`DateTimeRange(java.lang.String name, java.lang.String from, java.lang.String to)` Constructor

Method Summary
`java.lang.String` | `getFrom()` Get the beginning point in time.
`java.lang.String` | `getSlotName()` Gets date/time metadata attribute name
`java.lang.String` | `getTo()` Get the end point in time.
`void` | `setFrom(java.lang.String from)` Set the beginning point in time.
`void` | `setSlotName(java.lang.String slotName)` Sets date/time metadata attribute name
`void` | `setTo(java.lang.String to)` Set the end point in time.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTimeRange

    public DateTimeRange(java.lang.String name,
                         java.lang.String from,
                         java.lang.String to)
                  throws MalformedQueryException

  Constructor

  Parameters:
    `name,` - name of the date/time metadata attribute to query against, non null
    `from,` - beginning point in time, non null. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.
    `to,` - end point in time, non null. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.
  Throws:
    `MalformedQueryException`

Method Detail

### getFrom

    public java.lang.String getFrom()

  Get the beginning point in time. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    beginning point in time

### setFrom

    public void setFrom(java.lang.String from)

  Set the beginning point in time. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Parameters:
    `new` - beginning point in time

### getSlotName

    public java.lang.String getSlotName()

  Gets date/time metadata attribute name

  Returns:
    date/time metadata attribute name

### setSlotName

    public void setSlotName(java.lang.String slotName)

  Sets date/time metadata attribute name

  Parameters:
    `new` - date/time metadata attribute name

### getTo

    public java.lang.String getTo()

  Get the end point in time. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    end point in time

### setTo

    public void setTo(java.lang.String to)

  Set the end point in time. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Parameters:
    `new` - end point in time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD